@import '_content/Microsoft.AspNetCore.Components.QuickGrid/Microsoft.AspNetCore.Components.QuickGrid.bundle.scp.css';

/* _content/ReservationApp/Components/Account/Pages/Loggingout.razor.rz.scp.css */
/* Základní reset pro body a formulářové prvky */
body[b-jpk1rjwlar] {
    margin: 0;
    font-family: 'Arial', sans-serif;
    background: #f4f4f4; /* světlé pozadí pro kontrast */
}

/* Styly pro wrapper/formulářový kontejner */
.form-container[b-jpk1rjwlar] {
    max-width: 400px;
    margin: 50px auto;
    padding: 20px;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

/* Styly pro hlavičku formuláře */
.form-header[b-jpk1rjwlar] {
    margin-bottom: 20px;
    text-align: center;
}

/* Styly pro vstupní prvky */
[b-jpk1rjwlar] .form-control {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box; /* ujistěte se, že padding neovlivní šířku */
}

/* Styly pro tlačítko */
button[type="submit"][b-jpk1rjwlar] {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 4px;
    background: #007bff;
    color: white;
    font-size: 16px;
    cursor: pointer;
    transition: background 0.3s ease;
}

    button[type="submit"]:hover[b-jpk1rjwlar] {
        background: #0056b3;
    }

/* Styly pro odkazy "zapomenuté heslo" a "registrovat se" */
.form-footer[b-jpk1rjwlar] {
    text-align: center;
    margin-top: 20px;
}

    .form-footer a[b-jpk1rjwlar] {
        text-decoration: none;
        color: #007bff;
        transition: color 0.3s ease;
    }

        .form-footer a:hover[b-jpk1rjwlar] {
            color: #0056b3;
        }

/* Styly pro "Zapamatovat si mě" */
.remember-me[b-jpk1rjwlar] {
    margin: 10px 0;
}

    /* Dodatečný styl pro vycentrování textu a lepší rozložení */
   .remember-me label[b-jpk1rjwlar] {
        display: inline-block;
        margin-bottom: 5px;
    }
label[b-jpk1rjwlar] {
    font-size: 1rem; /* Zvětšení velikosti fontu */
    font-weight: bold; /* Ztučnění textu */
    color: #333; /* Ztmavení barvy textu */
    display: block; /* Zajistí, že štítek bude na novém řádku */
    margin-bottom: .5rem; /* Přidání místa pod štítkem */
}

/* Zrušení stylů pro checkbox */
input[type="checkbox"][b-jpk1rjwlar] {
    margin-right: 5px;
}
/* _content/ReservationApp/Components/Account/Pages/Login.razor.rz.scp.css */
/* Základní reset pro body a formulářové prvky */
body[b-ycywnvuiz6] {
    margin: 0;
    font-family: 'Arial', sans-serif;
    background: #f4f4f4; /* světlé pozadí pro kontrast */
}

[b-ycywnvuiz6] .alert {
    text-align: center;
    color: red;
    padding-bottom: 15px;
}

/* Styly pro wrapper/formulářový kontejner */
.form-container[b-ycywnvuiz6] {
    max-width: 400px;
    margin: 50px auto;
    padding: 20px;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

/* Styly pro hlavičku formuláře */
.form-header[b-ycywnvuiz6] {
    margin-bottom: 20px;
    text-align: center;
}

/* Styly pro vstupní prvky */
[b-ycywnvuiz6] .form-control {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box; /* ujistěte se, že padding neovlivní šířku */
}

/* Styly pro tlačítko */
[b-ycywnvuiz6] button[type="submit"] {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 4px;
    color: white;
    font-size: 16px;
    cursor: pointer;
    transition: background 0.3s ease;
    background: #0056b3;
}
    [b-ycywnvuiz6] button[type="submit"]:hover {
        background: #007bff;
    }
    [b-ycywnvuiz6] button[type="submit"].login {
        background: #008374; /* Nový teplejší tón zelené, který ladí s modrou */
    }
        [b-ycywnvuiz6] button[type="submit"].login:hover {
            background: #66d9a8; /* Nový světlejší a méně sytý tón zelené */
        }


/* Styly pro odkazy "zapomenuté heslo" a "registrovat se" */
.form-footer[b-ycywnvuiz6] {
    text-align: center;
    margin-top: 20px;
}

    .form-footer a[b-ycywnvuiz6] {
        text-decoration: none;
        color: #007bff;
        transition: color 0.3s ease;
    }

        .form-footer a:hover[b-ycywnvuiz6] {
            color: #0056b3;
        }

/* Styly pro "Zapamatovat si mě" */
.remember-me[b-ycywnvuiz6] {
    margin: 10px 0;
}

    /* Dodatečný styl pro vycentrování textu a lepší rozložení */
   .remember-me label[b-ycywnvuiz6] {
        display: inline-block;
        margin-bottom: 5px;
    }
label[b-ycywnvuiz6] {
    font-size: 1rem; /* Zvětšení velikosti fontu */
    font-weight: bold; /* Ztučnění textu */
    color: #333; /* Ztmavení barvy textu */
    display: block; /* Zajistí, že štítek bude na novém řádku */
    margin-bottom: .5rem; /* Přidání místa pod štítkem */
}

/* Zrušení stylů pro checkbox */
input[type="checkbox"][b-ycywnvuiz6] {
    margin-right: 5px;
}
/* _content/ReservationApp/Components/Account/Pages/Logout.razor.rz.scp.css */
/* Základní reset pro body a formulářové prvky */
body[b-7g2ory1tja] {
    margin: 0;
    font-family: 'Arial', sans-serif;
    background: #f4f4f4; /* světlé pozadí pro kontrast */
}

/* Styly pro wrapper/formulářový kontejner */
.form-container[b-7g2ory1tja] {
    max-width: 400px;
    margin: 50px auto;
    padding: 20px;
    background: #fff;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    border-radius: 8px;
}

/* Styly pro hlavičku formuláře */
.form-header[b-7g2ory1tja] {
    margin-bottom: 20px;
    text-align: center;
}

/* Styly pro vstupní prvky */
[b-7g2ory1tja] .form-control {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box; /* ujistěte se, že padding neovlivní šířku */
}

/* Styly pro tlačítko */
button[type="submit"][b-7g2ory1tja] {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 4px;
    background: #007bff;
    color: white;
    font-size: 16px;
    cursor: pointer;
    transition: background 0.3s ease;
}

    button[type="submit"]:hover[b-7g2ory1tja] {
        background: #0056b3;
    }

/* Styly pro odkazy "zapomenuté heslo" a "registrovat se" */
.form-footer[b-7g2ory1tja] {
    text-align: center;
    margin-top: 20px;
}

    .form-footer a[b-7g2ory1tja] {
        text-decoration: none;
        color: #007bff;
        transition: color 0.3s ease;
    }

        .form-footer a:hover[b-7g2ory1tja] {
            color: #0056b3;
        }

/* Styly pro "Zapamatovat si mě" */
.remember-me[b-7g2ory1tja] {
    margin: 10px 0;
}

    /* Dodatečný styl pro vycentrování textu a lepší rozložení */
   .remember-me label[b-7g2ory1tja] {
        display: inline-block;
        margin-bottom: 5px;
    }
label[b-7g2ory1tja] {
    font-size: 1rem; /* Zvětšení velikosti fontu */
    font-weight: bold; /* Ztučnění textu */
    color: #333; /* Ztmavení barvy textu */
    display: block; /* Zajistí, že štítek bude na novém řádku */
    margin-bottom: .5rem; /* Přidání místa pod štítkem */
}

/* Zrušení stylů pro checkbox */
input[type="checkbox"][b-7g2ory1tja] {
    margin-right: 5px;
}
/* _content/ReservationApp/Components/Dialog.razor.rz.scp.css */
.modal-overlay[b-tw7tbbyy0s] {
    position: fixed;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.5);
}

.modal-window[b-tw7tbbyy0s] {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    text-align: center;
    min-width: 300px;
}

.modal-title[b-tw7tbbyy0s] {
    display: flex;
    justify-content: flex-end;
    border-bottom: 1px solid lightgray;
    padding-bottom: 10px;
}

    .modal-title h3[b-tw7tbbyy0s] {
        margin: auto;
        color: #333; /* tmavší šedá pro nadpis */
        margin-bottom: 16px; /* více prostoru pod nadpisem */
    }

.modal-body[b-tw7tbbyy0s] {
    margin-top: 10px;
    padding: 20px;
    font-size: 1rem; /* vhodná velikost písma */
    line-height: 1.6; /* lepší čitelnost odstavců */
    color: #333; /* tmavší šedá pro tělo textu */
}

.modal-footer[b-tw7tbbyy0s] {
    display: flex;
}

    .modal-footer .btn[b-tw7tbbyy0s] {
        padding: 10px 20px;
        margin: 5px;
        border: none;
        border-radius: 5px;
        font-weight: bold;
        cursor: pointer;
        transition: background-color 0.3s ease;
    }

        .modal-footer .btn:hover[b-tw7tbbyy0s] {
            opacity: 0.8;
        }

        .modal-footer .btn.btn-close[b-tw7tbbyy0s] {
            background-color: #f44336; /* Červená */
            color: white;
        }

        .modal-footer .btn.btn-confirm[b-tw7tbbyy0s] {
            background-color: #4CAF50; /* Zelená */
            color: white;
        }

.modal-footer-spacer[b-tw7tbbyy0s] {
    margin: auto;
}

.modal .card[b-tw7tbbyy0s] {
    max-width: 600px;
    margin: 20px auto;
    padding: 20px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    text-align: center;
}
.modal-close[b-tw7tbbyy0s] {
    width: 30px;
    height: 30px;
    border: 1px solid gray;
    border-radius: 5px;
    background-color: white;
    cursor: pointer;
}
    .modal-close .btn[b-tw7tbbyy0s] { 

        line-height: 30px;
    }
/* _content/ReservationApp/Components/Layout/MainLayout.razor.rz.scp.css */

#blazor-error-ui[b-3kplb0l4qt] {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss[b-3kplb0l4qt] {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }
/* _content/ReservationApp/Components/Layout/NavMenu.razor.rz.scp.css */
.logo[b-wu9xr131yg] {
    background-size: contain; /* Zajist�, �e se logo ve�ker� zobraz� */
    background-repeat: no-repeat; /* Zabr�n� opakov�n� loga */
    filter: brightness(0) invert(1);
}
/* _content/ReservationApp/Components/Pages/Calendar.razor.rz.scp.css */

.calendar-container[b-lvxvqsae2a] {
    max-width: 600px; /* Max šířka kalendáře */
    margin: auto; /* Centrování kalendáře */
    text-align: center;
    background-color: #f5f7fa; /* Barva pozadí */
    border-radius: 5px 5px 0 0; /* Zaoblené rohy na horní straně */
    box-shadow: 0 2px 5px rgba(0,0,0,0.1); /* Mírný stín pro hloubku */
    overflow:hidden;
    margin-top:10px;
}

.month-header[b-lvxvqsae2a] {
    font-size: 1.5em; /* Velikost písma pro záhlaví měsíce */
    color: #333; /* Barva textu */
    padding: 15px 0; /* Padding pro oddělení od kalendáře */
    margin-bottom: -1px; /* Eliminuje dvojitý okraj mezi záhlavím a tabulkou */
    background-color: white;

}


.calendar[b-lvxvqsae2a] {
    width: 100%;
    border-collapse: collapse;
    text-align: center;
}

    .calendar th[b-lvxvqsae2a], .calendar td[b-lvxvqsae2a] {
        padding: 10px;
        border: 1px solid #eaeaea;
        background-color: #fff;
        border: hidden;
    }

    .calendar th[b-lvxvqsae2a] {
        background-color: #4facfe;
        color: #fff;
    }

    .calendar .empty[b-lvxvqsae2a] {
        background-color: #f5f7fa;
    }

    .calendar td[b-lvxvqsae2a] {
        position: relative;
    }

        .calendar td:hover[b-lvxvqsae2a] {
            background-color: #eaeaea;
            cursor: pointer;
        }

.slots-info[b-lvxvqsae2a] {
    display: block;
    font-size: clamp(0.5rem, 2vw, 0.9rem);
    color: #666;
    position: absolute;
    bottom: 5px;
    right: 5px;
}

.day[b-lvxvqsae2a] {
    width: 14%;
    margin: 1%;
    padding: 15px 10px; /* Upravený padding pro zahrnutí textu */
    background-color: #fff;
    text-align: center;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    cursor: pointer;
    transition: all 0.3s ease;
    position: relative;
    display: flex;
    flex-direction: column; /* Pro vertikální zarovnání obsahu */
    justify-content: space-between; /* Rozložení obsahu od horní části k dolní */
}

    .day:hover[b-lvxvqsae2a] {
        transform: translateY(-5px);
        box-shadow: 0 5px 15px rgba(0,0,0,0.2);
    }
.calendar .full[b-lvxvqsae2a] {
    background-color: #ffcccc; /* Světlá červená barva pro plně obsazené dny */
    cursor: default; /* Změní kurzor, aby naznačil, že kliknutí není možné */
}

.calendar .free[b-lvxvqsae2a] {
    background-color: #ccffcc; /* Světlá červená barva pro plně obsazené dny */
    cursor: default; /* Změní kurzor, aby naznačil, že kliknutí není možné */
}
.calendar .reserved[b-lvxvqsae2a] {
    background-color: #4facfe; /* Světlá zelená barva pro rezervované dny */
    cursor: default; /* Změní kurzor, aby naznačil, že kliknutí není možné */
}

        .calendar .full:hover[b-lvxvqsae2a] {
            transform: none; /* Odstraní efekt při najetí myši pro plně obsazené dny */
            box-shadow: none; /* Odstraní stín pro plně obsazené dny */
        }
.calendar .full .day-number[b-lvxvqsae2a],
.calendar .free .day-number[b-lvxvqsae2a]
{
    transform: translate3d(0,10px,0);
}

.time-selection[b-lvxvqsae2a] {
    max-width: 560px;
    margin: 20px auto;
    padding: 20px;
    background-color: #fff;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    text-align: center;
}
.time-slots[b-lvxvqsae2a] {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px; /* Vytvoří mezery mezi sloty */
    padding: 20px;
}

.time-slot[b-lvxvqsae2a] {
    flex: 1 1 120px; /* Každý slot se snaží zabírat minimálně 120px */
    margin: 5px;
    padding: 10px;
    background-color: #eaeaea;
    border-radius: 5px;
    text-align: center;
    cursor: pointer;
    transition: background-color 0.3s;
}
/* Základní styl pro všechny td tlačítka */
.time-slot[b-lvxvqsae2a] {
    padding: 10px 20px;
    margin: 5px;
    border: 2px solid #ccc; /* světle šedý rámeček */
    border-radius: 10px; /* zaoblené rohy */
    text-align: center;
    cursor: pointer; /* ukazuje, že lze kliknout */
    transition: all 0.3s ease; /* plynulý přechod pro hover efekty */
    user-select: none; /* zabrání označení textu při dvojkliku */
}

/* Styl pro volné časové sloty */
.free-slot[b-lvxvqsae2a] {
    background-color: #4CAF50; /* zelené pozadí */
    border-color: #4CAF50; /* zelený rámeček */
    color: white; /* bílý text */
}

/* Styl pro časové sloty rezervované mnou */
.my-slot[b-lvxvqsae2a] {
    background-color: #4facfe; /* bílé pozadí */
    border-color: #4facfe; /* bílé pozadí */
    color: white; /* bílý text */
}

/* Styl pro časové sloty rezervované někým jiným */
.booked-slot[b-lvxvqsae2a] {
    background-color: #f44336; /* červené pozadí */
    color: white; /* bílý text */
    border-color: #f44336; /* červený rámeček */
    cursor: not-allowed; /* kurzor znázorňující, že nelze kliknout */
}

/* Hover efekt pro volné časové sloty */
.time-slot:hover:not(.booked-slot):not(.my-slot)[b-lvxvqsae2a] {
    background-color: #f0f0f0; /* světle šedé pozadí */
    border-color: #bbb; /* tmavší šedý rámeček */
    color:black; /* černý text */
}

/* Efekt pro aktivní časový slot */
.time-slot:active:not(.booked-slot):not(.my-slot)[b-lvxvqsae2a] {
    transform: scale(0.98); /* mírné zmenšení pro klikací efekt */
}

    .time-slot:hover[b-lvxvqsae2a] {
        background-color: #d5d5d5;
    }
.time-slots-admin[b-lvxvqsae2a] {
    width: 100%;
    border-collapse: collapse;
    margin: 20px 0;
    font-family: 'Arial', sans-serif;
    box-shadow: 0 2px 5px rgba(0,0,0,0.15);
}

    .time-slots-admin td[b-lvxvqsae2a],
    .time-slots-admin th[b-lvxvqsae2a] {
        padding: 8px 16px;
        border-bottom: 1px solid #ddd;
    }

    .time-slots-admin tr:hover[b-lvxvqsae2a] {
        background-color: #f1f1f1;
    }

    .time-slots-admin tr:nth-child(even)[b-lvxvqsae2a] {
        background-color: #f9f9f9;
    }

    .time-slots-admin th[b-lvxvqsae2a] {
        background-color: #007bff;
        color: white;
        padding: 10px 16px;
    }

@media (max-width: 768px) {
    .time-slot[b-lvxvqsae2a] {
        flex: 1 1 100px; /* V menších obrazovkách se sloty zmenší */
    }
}

@media (max-width: 480px) {
    .time-slot[b-lvxvqsae2a] {
        flex: 1 1 80px; /* Na velmi malých obrazovkách se sloty ještě více zmenší */
    }
}
/* _content/ReservationApp/Components/Pages/Home.razor.rz.scp.css */

h2[b-lf835s8s7i] {
    text-align: center;
}

.modal-body .old-time[b-lf835s8s7i], .modal-body .new-time[b-lf835s8s7i] {
    font-weight: bold; /* zvýraznění času */
    color: #E53935; /* barva pro starý čas */
}

.modal-body .new-time[b-lf835s8s7i] {
    color: #4CAF50; /* barva pro nový čas */
}
/* _content/ReservationApp/Components/Pages/ReservationPages/Index.razor.rz.scp.css */

.reservations-container[b-jipev7pdz3] {
    max-width: 1000px; /* Max šířka kalendáře */
    margin: auto; /* Centrování kalendáře */
}
[b-jipev7pdz3] .quickgrid[theme=default] {
    --col-gap: 1rem;
    margin: auto;
}
/* _content/ReservationApp/Components/Pages/ReservationPages/Reserved.razor.rz.scp.css */
.page-container[b-vk2e4fw0v1]{
    margin:auto;
    max-width:600px;
}
.applicants[b-vk2e4fw0v1] {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: normal;
}
.applicants .applicant[b-vk2e4fw0v1]{
    white-space: nowrap;
    padding:10px;
    border:1px solid #ccc;
    border-radius: 10px;
    background-color:greenyellow;

}
/* _content/ReservationApp/Components/Pages/ReservationPages/UnReserved.razor.rz.scp.css */
.page-container[b-k7s4boe9bk]{
    margin:auto;
    max-width:600px;
}
.applicants[b-k7s4boe9bk] {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    justify-content: normal;
}
.applicants .applicant[b-k7s4boe9bk]{
    white-space: nowrap;
    padding:10px;
    border:1px solid #ccc;
    border-radius: 10px;
    background-color:greenyellow;

}
button.btn[b-k7s4boe9bk] {
    background-color: blue;
    margin: 10px 0;
    padding: 10px;
    border: 0px;
    border-radius: 10px;
    color: white;
}
